National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2014-5347 Detail

Current Description

Multiple cross-site request forgery (CSRF) vulnerabilities in the Disqus Comment System plugin before 2.76 for WordPress allow remote attackers to hijack the authentication of administrators for requests that conduct cross-site scripting (XSS) attacks via the (1) disqus_replace, (2) disqus_public_key, or (3) disqus_secret_key parameter to wp-admin/edit-comments.php in manage.php or that (4) reset or (5) delete plugin options via the reset parameter to wp-admin/edit-comments.php.

Source:  MITRE
View Analysis Description

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 6.8 MEDIUM
Vector: (AV:N/AC:M/Au:N/C:P/I:P/A:P) (V2 legend)
Impact Subscore: 6.4
Exploitability Subscore: 8.6


Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (AU): None
Confidentiality (C): Partial
Integrity (I): Partial
Availability (A): Partial
Additional Information:
Victim must voluntarily interact with attack mechanism
Allows unauthorized disclosure of information
Allows unauthorized modification
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://packetstormsecurity.com/files/127847/WordPress-Disqus-2.7.5-CSRF-Cross-Site-Scripting.html
http://packetstormsecurity.com/files/127852/Disqus-2.7.5-Cross-Site-Request-Forgery-Cross-Site-Scripting.html Exploit
http://seclists.org/fulldisclosure/2014/Aug/35
http://www.exploit-db.com/exploits/34336 Exploit
http://www.securityfocus.com/bid/69205
https://exchange.xforce.ibmcloud.com/vulnerabilities/95288
https://exchange.xforce.ibmcloud.com/vulnerabilities/95289
https://gist.github.com/nikcub/cb5dc7a5464276c8424a
https://wordpress.org/plugins/disqus-comment-system/other_notes Patch
https://www.nikcub.com/posts/multiple-vulnerabilities-in-disqus-wordpress-plugin Exploit

Technical Details

Vulnerability Type (View All)

  • Cross-Site Request Forgery (CSRF) (CWE-352)

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:disqus:disqus_comment_system:2.40:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.41:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.42:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.43:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.44:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.45:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.46:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.47:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.48:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.49:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.50:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.51:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.52:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.53:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.54:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.55:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.60:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.61:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.62:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.63:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.64:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.65:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.66:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.67:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.68:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.69:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.70:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.71:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.72:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.73:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:2.74:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
 cpe:2.3:a:disqus:disqus_comment_system:*:*:*:*:*:wordpress:*:*
     Show Matching CPE(s)
Up to (including)
2.75


Change History

2 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2014-5347
NVD Published Date:
08/19/2014
NVD Last Modified:
09/07/2017